/************************************************************************************/
/*																				  	*/
/*	NAME:		exist.mac.sas														*/
/*  TITLE: 		Prfung ob ein bestimmter Datensatz existiert						*/
/*  KEYS: 		dataset																*/
/*	VERSION:	SAS 8.2																*/
/* 	PRODUCT:	BASE, STAT															*/
/*  PROCS:		-----																*/
/*																					*/
/*																					*/
/*	Verzeichnis/Dateiname:			F:\Prognose\exist.mac.sas						*/
/*  Autoren:						R. Muche, C. Ring, C. Ziegler					*/
/*	Programmierer:					Christoph Ziegler								*/
/*	Datum der Ersterstellung:		8/2003											*/
/*  Aktuelle Makro- Version:		12/2003											*/
/*																					*/
/*	Kurzbeschreibung:				Allgemeines Makro zur Prfung ob ein bestimmter */
/*							    	Datensatz existiert								*/
/*																					*/
/*	Hilfs-/Untermakro von:			PM_MISSING.MAC.SAS								*/
/*									PM_MI_ANALYZE.MAC.SAS							*/
/*									PM_MULTICOLLIN.MAC.SAS							*/
/*									PM_INFLUENCE.MAC.SAS							*/
/*									PM_LOGREG.MAC.SAS								*/
/*									PM_ROC.MAC.SAS									*/
/*									PM_DATASPLITTING.MAC.SAS						*/
/*																					*/
/*  Verwendete externe Untermakros:	-----											*/
/*																					*/
/*  Bentigte Dateien:				Datensatz 		  (Parameter 'dsn=')			*/
/*																					*/
/*  Erzeugte Dateien:				-----											*/
/*																					*/
/*  Programmnderungen 																*/
/*  und -ergnzungen 																*/
/*  (Name, Datum, Beschreibung):     												*/
/*   																   			    */
/*																					*/
/************************************************************************************/

%MACRO EXIST(dsn=);
	%GLOBAL exist;
	%IF &dsn ne %THEN %DO;
		* An unknown data set causes a
		* compile error that is reflected
		* in the SYSERR macro variable;
		data _null_;
		stop;
		if 0 then set &dsn;
		run;
	%END;
	%IF &syserr=0 %THEN %LET exist='YES';
	%ELSE %LET exist='NO';
%MEND EXIST;