/************************************************************************************/
/*																				  	*/
/*	NAME:		numberobs.mac.sas													*/
/*  TITLE: 		Anzahl von Beobachtungen in einem Datensatz bestimmen				*/
/*  KEYS: 		dataset, number of observations							 			*/
/*	VERSION:	SAS 8.2																*/
/* 	PRODUCT:	BASE, STAT															*/
/*  PROCS:		-----																*/
/*																					*/
/*																					*/
/*	Verzeichnis/Dateiname:			F:\Prognose\numberobs.mac.sas					*/
/*  Autoren:						R. Muche, C. Ring, C. Ziegler					*/
/*	Programmierer:					Christoph Ziegler								*/
/*	Datum der Ersterstellung:		9/2002											*/
/*  Aktuelle Makro- Version:		12/2003											*/
/*																					*/
/*	Kurzbeschreibung:				Allgemeines Makro zur Bestimmung der Anzahl 	*/
/*							    	von Beobachtungen in einem Datensatz			*/
/*																					*/
/*	Hilfs-/Untermakro von:			PM_MISSING.MAC.SAS								*/
/*									PM_MULTICOLLIN.MAC.SAS							*/
/*									PM_INFLUENCE.MAC.SAS							*/
/*									PM_UNI_LOGREG.MAC.SAS							*/
/*									PM_LOGREG.MAC.SAS								*/
/*									PM_GOF.MAC.SAS									*/
/*									PM_ROC.MAC.SAS									*/
/*									PM_EXTERNAL_VALIDATION.MAC.SAS					*/
/*									PM_DATASPLITTING.MAC.SAS						*/
/*									PM_SHRINKAGE_VALIDATION.MAC.SAS					*/
/*									LOGREG2.MAC.SAS									*/
/*									EXIST_VAR.MAC.SAS								*/
/*									FRACPOLY.MAC.SAS								*/
/*									NUMCHAR.MAC.SAS									*/
/*									ADJUSTED_CROSSVALIDATION.MAC.SAS				*/
/*									K_FOLD_CROSSVALIDATION.MAC.SAS					*/
/*									JACKKNIFE_CROSSVALIDATION.MAC.SAS				*/
/*									BOOT_MODEL_VALIDATION.MAC.SAS					*/
/*									BOOT_MEAN_VALIDATION.MAC.SAS					*/
/*																					*/
/*  Verwendete externe Untermakros:	-----											*/
/*																					*/
/*	Bentigte Dateien:				Datensatz (Parameter 'datensatz=')				*/
/*																					*/
/*																					*/
/*  Erzeugte Dateien:				-----											*/
/*																					*/
/*  Programmnderungen 																*/
/*  und -ergnzungen 																*/
/*  (Name, Datum, Beschreibung):     												*/
/*   																   			    */
/*																					*/
/************************************************************************************/

%MACRO NUMBEROBS (datensatz=
				 );

  	%LET dsid = %sysfunc(open(&datensatz));
 	%IF &dsid %THEN %DO;
      	 %LET nnnn1 =%sysfunc(attrn(&dsid,NOBS));
    	%LET rc = %sysfunc(close(&dsid));
  	%END;
  	%ELSE
  	 	  %PUT Open for data set &data failed - %sysfunc(sysmsg());
	%PUT &nnnn1;

%MEND NUMBEROBS;