/************************************************************************************/
/*																				  	*/
/*	NAME:		numchar.mac.sas														*/
/*  TITLE: 		Test ob einem bestimmten Makro-Parameter anstatt eines numerischen 	*/
/*				Wertes flschlicherweise ein alphanumerischer Wert bergeben wurde	*/
/*  KEYS:		variables, numeric, character										*/
/*	VERSION:	SAS 8.2																*/
/* 	PRODUCT:	BASE, STAT															*/
/*  PROCS:		-----																*/
/*																					*/
/*																					*/
/*	Verzeichnis/Dateiname:			F:\Prognose\numchar.mac.sas						*/
/*  Autoren:						R. Muche, C. Ring, C. Ziegler					*/
/*	Programmierer:					Christoph Ziegler								*/
/*	Datum der Ersterstellung:		8/2003											*/
/*  Aktuelle Makro- Version:		12/2003											*/
/*																					*/
/*	Kurzbeschreibung:				Allgemeines Makro zum Test ob einem bestimmten  */
/*							    	Makro-Parameter anstatt eines numerischen Wertes*/
/*									flschlicherweise ein alphanumerischer Wert 	*/
/*									bergeben wurde									*/
/*																					*/
/*	Hilfs-/Untermakro von:			PM_MISSING.MAC.SAS								*/
/*									PM_MULTICOLLIN.MAC.SAS							*/
/*									PM_INFLUENCE.MAC.SAS							*/
/*									PM_LOGREG.MAC.SAS								*/
/*									PM_ROC.MAC.SAS									*/
/*									PM_DATASPLITTING.MAC.SAS						*/
/*																					*/
/*  Verwendete externe Untermakros:	numberobs.mac.sas								*/
/*																					*/
/*	Bentigte Dateien:				-----											*/
/*																					*/
/*																					*/
/*  Erzeugte Dateien:				-----											*/
/*																					*/
/*  Programmnderungen 																*/
/*  und -ergnzungen 																*/
/*  (Name, Datum, Beschreibung):     												*/
/*   																   			    */
/*																					*/
/************************************************************************************/

%MACRO NUMCHAR (parameterliste=
			   );

	%GLOBAL numcharok;

   /*Anzahl der Parameter ermitteln:*/

	%GLOBAL count_x varx;
	%LET count_x=1;
	%LET varx=%QSCAN(&parameterliste,&count_x,%STR( ));
	%DO %WHILE(&varx ne);
     	%LET count_x=%EVAL(&count_x+1);
     	%LET varx=%QSCAN(&parameterliste,&count_x,%STR( ));
	%END;
	%LET count_x=%EVAL(&count_x-1);

   /*testen, ob der Parameter Numerisch oder nicht ist*/

	DATA testpara;

	%DO k=1 %TO &count_x;

		%LET temp=%QSCAN(&parameterliste,&k,%STR( ));

		var=&temp;
		OUTPUT;

	%END;

	RUN;

	DATA testpara;
		SET testpara;
		IF var=. THEN DELETE;
	RUN;

	%NUMBEROBS(datensatz=testpara);

	%LET testparas=&nnnn1;


	%IF &testparas ne &count_x %THEN %DO;

		%LET numcharok='NOK';

	%END;
	%ELSE %DO;

		%LET numcharok='OK';

	%END;

   /*temporrer Zwischendatensatz lschen*/

	PROC DATASETS NOLIST;
		DELETE testpara;
	RUN;
	QUIT;



%MEND NUMCHAR;