/************************************************************************************/
/*																				  	*/
/*	NAME:		winkel.mac.sas														*/
/*  TITLE: 		Erzeugung von Daten, die beim plotten eine Winkelhalbierende 		*/
/*				erzeugen															*/
/*  KEYS: 		roc analysis, bisecting line, roc- curves							*/
/*	VERSION:	SAS 8.2																*/
/* 	PRODUCT:	BASE, STAT															*/
/*  PROCS:		-----																*/
/*																					*/
/*																					*/
/*	Verzeichnis/Dateiname:			F:\Prognose\winkel.mac.sas						*/
/*  Autoren:						R. Muche, C. Ring, C. Ziegler					*/
/*	Programmierer:					Christoph Ziegler								*/
/*	Datum der Ersterstellung:		9/2002											*/
/*  Aktuelle Makro- Version:		12/2003											*/
/*																					*/
/*	Kurzbeschreibung:				Allgemeines Makro zur Erzeugung von Daten, die 	*/
/*							    	beim plotten eine Winkelhalbierende erzeugen	*/
/*																					*/
/*	Hilfs-/Untermakro von:			PRINTIT.MAC.SAS									*/
/*																					*/
/*  Verwendete externe Untermakros:	-----											*/
/*																					*/
/*  Bentigte Dateien:				-----											*/
/*																					*/
/*  Erzeugte Dateien:				work.winkel										*/
/*																					*/
/*  Programmnderungen 																*/
/*  und -ergnzungen 																*/
/*  (Name, Datum, Beschreibung):     												*/
/*   																   			    */
/*																					*/
/************************************************************************************/

%MACRO WINKEL;
%LET j=%EVAL(1);
	DATA winkel; 
		%DO i=0 %TO &j;
			x=&i;
			y=&i;
			OUTPUT;
		%END;
	RUN;
%MEND WINKEL;