/************************************************************************************/
/*																				  	*/
/*	NAME:		words.mac.sas														*/
/*  TITLE: 		Bestimmung der Anzahl von Elementen (Wrtern) in einer Zeichenkette	*/
/*  KEYS: 		string, number of elements											*/
/*	VERSION:	SAS 8.2																*/
/* 	PRODUCT:	BASE, STAT															*/
/*  PROCS:		-----																*/
/*																					*/
/*																					*/
/*	Verzeichnis/Dateiname:			F:\Prognose\words.mac.sas						*/
/*  Autoren:						R. Muche, C. Ring, C. Ziegler					*/
/*	Programmierer:					Christoph Ziegler								*/
/*	Datum der Ersterstellung:		8/2003											*/
/*  Aktuelle Makro- Version:		12/2003											*/
/*																					*/
/*	Kurzbeschreibung:				Allgemeines Makro zur Bestimmung der Anzahl von	*/
/*							    	Elementen (Wrtern) in einer Zeichenkette  		*/
/*																					*/
/*	Hilfs-/Untermakro von:			PM_INFLUENCE.MAC.SAS							*/
/*																					*/
/*  Verwendete externe Untermakros:	-----											*/
/*																					*/
/*  Bentigte Dateien:				-----											*/
/*																					*/
/*  Erzeugte Dateien:				-----											*/
/*																					*/
/*  Programmnderungen 																*/
/*  und -ergnzungen 																*/
/*  (Name, Datum, Beschreibung):     												*/
/*   																   			    */
/*																					*/
/************************************************************************************/

%MACRO WORDS (str,delim=%STR( ));

%GLOBAL words;

%LET words=1;

%DO %WHILE(%LENGTH(%SCAN(&str,&words,&delim)) GT 0);
  %LET words=%EVAL(&words + 1);
%END;

%LET words=%EVAL(&words - 1);

%MEND WORDS;
